# Selective Log On by Gryphon (c) 2003 
#
# Selective Log On (SLO) is a Mystic BBS 1.07.3 mpl script for use on Mystic
# BBS systems of all platforms.
#
# SLO provides a means for a Mysti BBS Sysop to allow his or her callers to
# bypass the different logon screens when logging in to the BBS.  SLO is 
# configurable, in that it allows the caller to select the individual screens
# or scripts that he or she does not want to see, while still viewing the
# ones that he or she does like.
#
# Setup
# 1.  Place the GY-SLO.MPS  script in your Mystic BBS directory and compile it
#     with MPLC.  
# 2.  Place it in a menu as Command: GX and Data GY-SLO.
# 3.  Now comes the hard part.  Review the script, and decide which of the 
#     User's #1 Flags that you wish to dedicate for this script.
#     The script defaults to the use of ABLOMWT.  If you uses those flags for
#     other purposes, you may wish to alter the script.  You can optionally 
#     use the #2 Flags
# 4.  Edit your PRELOGIN menu and for every item that you wish to allow your
#     callers to toggle on and off for login viewing, you must change the
#     ACS.  Example.  Suppose you wish to allow your callers to toggle off
#     the Bulletins viewing during login.  Edit the entry in PRELOGIN menu
#     for the bulletins.  Change the ACS to 'FB'.  This now requires that the
#     user has the 'B' flag turned on on his Flags #1 field in his user record.
# 5.  Now you must go through each user record and turn on these flags so that
#     they will be on by default, and allowing them to turn them off.
#
# Contact Me
# You can contact me, Gryphon, aka Darryl Perry at:
# My BBS: Cyberia BBS, telnet://cyberia.darktech.org
# Email : dperry.geo@yahoo.com
# Fido  : sysop @ 1:106/324
#
#
  

USES User
Uses Cfg

Var Ch		Char


Procedure IsYN(ACStr String)
Begin
	If ACS(ACStr) Then
		WriteLn('|15On')
	Else
		WriteLn('|11Off')
	EndIf
Pend

Procedure ConfigMenu 
Var CmDs	String
Begin
	While Ch <> 'Q'
		WriteLn('|CL|14Quick Login Config Menu|CR')

		WriteLn('|07    Select the logon option you wish to toggle to |15On |07or |11Off.')
		WriteLn('|07    Set the option to |15On |07if you wish to view it during login.')
        WriteLn('    Set it to |11Off |07if you dont.|CR') 

		Write  ('|14(|15A|14) |07View |11AutoMessage           |09:') IsYN('FA')
		Write  ('|14(|15B|14) |07Read |11Bulletins             |09:') IsYN('FB')
		Write  ('|14(|15L|14) |07See |11Last Few Caller |07List   |09:') isYN('FL')
		Write  ('|14(|15M|14) |07Check for |11New Mail         |09:') isYN('FM')
		Write  ('|14(|15O|14) |07List |11Who is Online         |09:') isYN('FO')
		Write  ('|14(|15T|14) |07Show Todays |11Birthdays      |09:') isYN('FT')
		Write  ('|14(|15W|14) |07Scan |11The Wall              |09:') IsYN('FW')

		Write  ('|CR|09Config Menu (|15A/B/L/O/M/T/W,Q=Quit|09): |15')
		Ch:=OneKey('ABLOMWTQ')
		If Ch <> 'Q'  Then
			CmDs:='!'+Ch
			MenuCmd('-F',CmDs)
# Uncomment this line and comment out the above line if 
# you wish to use the Flags #2 settings instead.
#			MenuCmd('-E',CmDs)
		Endif
	
    Wend
Pend

Begin
	ConfigMenu	
End
